cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Extension SDK v8.3 for Thingworx 8.4

SOLVED
Highlighted
Participant

Extension SDK v8.3 for Thingworx 8.4

Would like to know can we use Extension SDK v8.3 for development Thingworx 8.4 widget?

As my test, some downloaded widget in marketplace cannot use in Thingworx 8.4

Thank you

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Extension SDK v8.3 for Thingworx 8.4

Hi @trungbui.

 

Just a follow-up on my earlier post.....

 

While it may work with previous versions of ThingWorx, there were some APIs that were deprecated in 8.4 but are still around.  Therefore, it would be best to move up to 8.4 to eliminate potential issues in the future.

 

Regards.

 

--Sharon

 

3 REPLIES 3

Re: Extension SDK v8.3 for Thingworx 8.4

Hi @trungbui.

 

It's fine to use the Extension SDK 8.3 version for ThingWorx 8.4.

 

Some of the marketplace extensions were developed for previous versions of the product and therefore may not work with the most recent versions of ThingWorx..  Which extensions are you referring to?

 

Regards.

 

--Sharon

Re: Extension SDK v8.3 for Thingworx 8.4

Hi @trungbui.

 

Just a follow-up on my earlier post.....

 

While it may work with previous versions of ThingWorx, there were some APIs that were deprecated in 8.4 but are still around.  Therefore, it would be best to move up to 8.4 to eliminate potential issues in the future.

 

Regards.

 

--Sharon

 

Re: Extension SDK v8.3 for Thingworx 8.4

Hi @slangley, for e.g . Progress Gauge Widget...

Thus I need to build/embed external javascript widgets. my opinion, PTC should provide a tutorial to embed external javascript for visualization like D3, or something can make a impressive dashboard like grafana. Make engineer's life easier :)